Skip to main content
GET
/
api
/
v1
/
runs
List runs
curl --request GET \
  --url https://app.eigenpal.com/api/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "id": "<string>",
      "triggerType": "<string>",
      "createdAt": "<string>",
      "durationMs": 123,
      "error": "<string>",
      "batchId": "<string>",
      "previousExecutionId": "<string>",
      "retryNumber": 123,
      "schemaValid": true,
      "evalPassed": true,
      "triggeredBy": {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>"
      },
      "version": "<string>",
      "requestedSourceRef": "<string>",
      "resolvedGitRef": "<string>",
      "resolvedGitTag": "<string>",
      "resolvedCommitSha": "<string>",
      "sourceId": "<string>",
      "sourceName": "<string>",
      "agentSlug": "<string>",
      "startedAt": "<string>",
      "completedAt": "<string>",
      "evalScore": 123,
      "exampleId": "<string>",
      "exampleName": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Query Parameters

type
string
source
string
status
string
trigger
string
triggeredBy
string
sourceRef
string
batchId
string
exampleId
string
exampleIdContains
string
from
string
to
string
createdAfter
string
createdBefore
string
completedAfter
string
completedBefore
string
cursor
string
offset
integer
Required range: 0 <= x <= 9007199254740991
limit
integer
Required range: 1 <= x <= 100
ids
string

Response

Runs page

runs
object[]
required
nextCursor
string | null
required